Gentoo Archives: gentoo-commits

From: "Michał Górny" <mgorny@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-vcs/rabbitvcs/, profiles/base/
Date: Fri, 17 Feb 2017 15:00:18
Message-Id: 1487343607.26e4396b2e4dbf3e0a582e594e0fbfb78e9626ff.mgorny@gentoo
commit:     26e4396b2e4dbf3e0a582e594e0fbfb78e9626ff
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 17 14:58:35 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Feb 17 15:00:07 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26e4396b

dev-vcs/rabbitvcs: distutils-r1, EAPI=6

 dev-vcs/rabbitvcs/rabbitvcs-0.16-r1.ebuild | 102 +++++++++++++++++++++++++++++
 dev-vcs/rabbitvcs/rabbitvcs-0.16.ebuild    | 102 -----------------------------
 profiles/base/package.use.mask             |   4 ++
 3 files changed, 106 insertions(+), 102 deletions(-)

diff --git a/dev-vcs/rabbitvcs/rabbitvcs-0.16-r1.ebuild b/dev-vcs/rabbitvcs/rabbitvcs-0.16-r1.ebuild
new file mode 100644
index 0000000000..472dc95d95
--- /dev/null
+++ b/dev-vcs/rabbitvcs/rabbitvcs-0.16-r1.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit gnome2-utils distutils-r1 vcs-snapshot
+
+DESCRIPTION="Integrated version control support for your desktop"
+HOMEPAGE="http://rabbitvcs.org"
+SRC_URI="https://github.com/rabbitvcs/${PN}/tarball/v${PV} -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="caja cli diff gedit git nautilus spell thunar"
+
+RDEPEND="dev-python/configobj[${PYTHON_USEDEP}]
+	dev-python/pygobject:2[${PYTHON_USEDEP}]
+	dev-python/pygtk[${PYTHON_USEDEP}]
+	dev-python/pysvn[${PYTHON_USEDEP}]
+	dev-python/simplejson[${PYTHON_USEDEP}]
+	caja? ( dev-python/python-caja[${PYTHON_USEDEP}]
+		dev-python/dbus-python[${PYTHON_USEDEP}]
+		dev-python/gnome-vfs-python[${PYTHON_USEDEP}] )
+	diff? ( dev-util/meld )
+	gedit? ( app-editors/gedit[${PYTHON_USEDEP}] )
+	git? ( dev-python/dulwich[${PYTHON_USEDEP}] )
+	nautilus? ( >=dev-python/nautilus-python-0.7.0[${PYTHON_USEDEP}]
+		dev-python/dbus-python[${PYTHON_USEDEP}]
+		dev-python/gnome-vfs-python[${PYTHON_USEDEP}] )
+	spell? ( dev-python/gtkspell-python[${PYTHON_USEDEP}] )
+	thunar? ( dev-python/thunarx-python[${PYTHON_USEDEP}]
+		dev-python/dbus-python[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+#	python_convert_shebangs -r 2 .
+
+#	distutils_src_prepare
+
+	# we should not do gtk-update-icon-cache from setup script
+	# we prefer portage for that
+	sed -e 's/"install"/"fakeinstall"/' -i "${S}/setup.py" || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_install() {
+	distutils-r1_python_install
+
+	if use caja ; then
+		python_moduleinto /usr/share/caja-python/extensions
+		python_domodule clients/caja/RabbitVCS.py
+	fi
+	if use cli ; then
+		python_doscript clients/cli/rabbitvcs
+	fi
+	if use gedit ; then
+		python_moduleinto /usr/$(get_libdir)/gedit-2/plugins
+		python_domodule clients/gedit/rabbitvcs-plugin.py
+		insinto /usr/$(get_libdir)/gedit-2/plugins
+		doins clients/gedit/rabbitvcs-gedit2.gedit-plugin
+		python_moduleinto /usr/$(get_libdir)/gedit-2/plugins
+		python_domodule clients/gedit/rabbitvcs-plugin.py
+		insinto /usr/$(get_libdir)/gedit/plugins
+		doins clients/gedit/rabbitvcs-gedit3.plugin
+	fi
+	if use nautilus ; then
+		python_moduleinto /usr/$(get_libdir)/nautilus/extensions-2.0/python
+		python_domodule clients/nautilus/RabbitVCS.py
+		python_moduleinto /usr/share/nautilus-python/extensions
+		python_domodule clients/nautilus-3.0/RabbitVCS.py
+	fi
+	if use thunar ; then
+		python_moduleinto "/usr/$(get_libdir)/thunarx-2/python"
+		python_domodule clients/thunar/RabbitVCS.py
+		python_moduleinto "/usr/$(get_libdir)/thunarx-1/python"
+		python_domodule clients/thunar/RabbitVCS.py
+	fi
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+
+	elog "You should restart file manager to changes take effect:"
+	use caja && elog "\$ caja -q"
+	use nautilus && elog "\$ nautilus -q"
+	use thunar && elog "\$ thunar -q && thunar &"
+	elog ""
+	elog "Also you should really look at known issues page:"
+	elog "http://wiki.rabbitvcs.org/wiki/support/known-issues"
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+}

diff --git a/dev-vcs/rabbitvcs/rabbitvcs-0.16.ebuild b/dev-vcs/rabbitvcs/rabbitvcs-0.16.ebuild
deleted file mode 100644
index 4d9449d2b1..0000000000
--- a/dev-vcs/rabbitvcs/rabbitvcs-0.16.ebuild
+++ /dev/null
@@ -1,102 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-PYTHON_DEPEND="2:2.7"
-SUPPORT_PYTHON_ABIS="1"
-RESTRICT_PYTHON_ABIS="3.*"
-
-inherit eutils gnome2-utils multilib distutils vcs-snapshot
-
-DESCRIPTION="Integrated version control support for your desktop"
-HOMEPAGE="http://rabbitvcs.org"
-SRC_URI="https://github.com/rabbitvcs/${PN}/tarball/v${PV} -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="caja cli diff gedit git nautilus spell thunar"
-
-RDEPEND="dev-python/configobj
-	dev-python/pygobject:2
-	dev-python/pygtk
-	dev-python/pysvn
-	dev-python/simplejson
-	caja? ( dev-python/python-caja
-		dev-python/dbus-python
-		dev-python/gnome-vfs-python )
-	diff? ( dev-util/meld )
-	gedit? ( app-editors/gedit )
-	git? ( dev-python/dulwich )
-	nautilus? ( >=dev-python/nautilus-python-0.7.0
-		dev-python/dbus-python
-		dev-python/gnome-vfs-python )
-	spell? ( dev-python/gtkspell-python )
-	thunar? ( dev-python/thunarx-python
-		dev-python/dbus-python )"
-
-src_prepare() {
-	python_convert_shebangs -r 2 .
-
-	distutils_src_prepare
-
-	# we should not do gtk-update-icon-cache from setup script
-	# we prefer portage for that
-	sed -e 's/"install"/"fakeinstall"/' -i "${S}/setup.py" || die
-}
-
-src_install() {
-	distutils_src_install
-
-	if use caja ; then
-		insinto /usr/share/caja-python/extensions
-		doins clients/caja/RabbitVCS.py
-	fi
-	if use cli ; then
-		dobin clients/cli/${PN}
-	fi
-	if use gedit ; then
-		insinto /usr/$(get_libdir)/gedit-2/plugins
-		doins clients/gedit/${PN}-plugin.py
-		doins clients/gedit/${PN}-gedit2.gedit-plugin
-		insinto /usr/$(get_libdir)/gedit/plugins
-		doins clients/gedit/${PN}-plugin.py
-		doins clients/gedit/${PN}-gedit3.plugin
-	fi
-	if use nautilus ; then
-		insinto /usr/$(get_libdir)/nautilus/extensions-2.0/python
-		doins clients/nautilus/RabbitVCS.py
-		insinto /usr/share/nautilus-python/extensions
-		doins clients/nautilus-3.0/RabbitVCS.py
-	fi
-	if use thunar ; then
-		insinto "/usr/$(get_libdir)/thunarx-2/python"
-		doins clients/thunar/RabbitVCS.py
-		insinto "/usr/$(get_libdir)/thunarx-1/python"
-		doins clients/thunar/RabbitVCS.py
-	fi
-}
-
-pkg_preinst() {
-	gnome2_icon_savelist
-}
-
-pkg_postinst() {
-	distutils_pkg_postinst
-	gnome2_icon_cache_update
-
-	elog "You should restart file manager to changes take effect:"
-	use caja && elog "\$ caja -q"
-	use nautilus && elog "\$ nautilus -q"
-	use thunar && elog "\$ thunar -q && thunar &"
-	elog ""
-	elog "Also you should really look at known issues page:"
-	elog "http://wiki.rabbitvcs.org/wiki/support/known-issues"
-}
-
-pkg_postrm() {
-	distutils_pkg_postrm
-	gnome2_icon_cache_update
-}

diff --git a/profiles/base/package.use.mask b/profiles/base/package.use.mask
index 87c9ee8d2e..0d000b0549 100644
--- a/profiles/base/package.use.mask
+++ b/profiles/base/package.use.mask
@@ -5,6 +5,10 @@
 # This file requires >=portage-2.1.1
 # New entries go on top.
 
+# Michał Górny <mgorny@g.o> (17 Feb 2017)
+# Python 2 package relies on gedit[python] which is py3 only.
+dev-vcs/rabbitvcs gedit
+
 # Mike Gilbert <floppym@g.o> (16 Feb 2017)
 # Multiple test failures.
 sys-boot/grub:2 test